PETSc version 3.15.5
Fix/Edit manual page

# KSPGetTolerances

Gets the relative, absolute, divergence, and maximum iteration tolerances used by the default KSP convergence tests.

### Synopsis

    #include "petscksp.h"
    #include "petscmat.h"
    PetscErrorCode  KSPGetTolerances(KSP ksp,PetscReal *rtol,PetscReal *abstol,PetscReal *dtol,PetscInt *maxits)

Not Collective

### Input Parameter

| ksp | - the Krylov subspace context

### Output Parameters

| rtol | - the relative convergence tolerance
| abstol | - the absolute convergence tolerance
| dtol | - the divergence tolerance
| maxits | - maximum number of iterations

### Notes

The user can specify NULL for any parameter that is not needed.

maximum, iterations

### See Also

KSPSetTolerances(), KSP

### Level

intermediate

### Location

src/ksp/ksp/interface/itfunc.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages